Skip to content

Gets all of the course registrations in the system.

Request

This method will scan all course registrations and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/courseRegistrations/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The course registrationswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
application_idstring(Application)

The certification application to which this registration

arrival_datestring, (date-time)(Arrival Date)

The date the person arrived at the course

cancellation_datestring, (date-time)(Cancellation Date)
citystring(City)

The member city

completion_percentagenumber, (double)(Completion Percentage)

The completion amount

countrystring(Country)

The member country

course_datestring, (date-time)(Course Date)

The date of the course

course_idstring(Course)required

The course

course_offering_idstring(Course Offering)required

The scheduled course

custom_field_valuesArray of objects(Custom Field Values)
datestring, (date-time)(Date)

The date/time of the course registration

departure_datestring, (date-time)(Departure Date)

The date the person left the course

email_addressstring(Email Address)

The member's email address

event_registration_idstring(Event Registration)

The event registration to which this is tied

exam_offering_idsArray of strings(Exam Offerings)

The exams to register for at the same time as the course

first_namestring(First Name)

The member's first name

idstring(ID)^[\w-|:]+$required

The unique, string identifier of this course registration

job_titlestring(Job Title)

The member job title

last_namestring(Last Name)

The member's last name

meeting_join_urlstring(Meeting Join Url)

The URL used to join the meeting

meeting_participant_idstring(Meeting Participant)

The external ID of this registration in the linked meeting

namestring(Name)required

The member's name

notesstring(Notes)

Any notes

numbernumber, (float)(Number)

The registration number

order_amount_paidnumber, (double)(Order Amount Paid)

The amount paid

order_balance_duenumber, (double)(Order Balance Due)

The balance due on the order

order_currency_codestring(Order Currency Code)
order_currency_symbolstring(Order Currency Symbol)
order_idstring(Order)

The order

order_line_item_idstring(Order Line Item)

The order line item

order_numbernumber, (float)(Order Number)

The order number

order_statusstring(Order Status)
Enum:"awaiting payment""awaiting pickup""awaiting shipping""cancelled""completed""disputed""open""partially shipped""returned""shipped"
order_totalnumber, (double)(Order Total)

The total of the order

organization_idstring(Organization)

Organization

process_idstring(Process)

The registration process used to create the registration

statestring(State)

The state

statusstring(Status)
Enum:"attended""cancelled""completed""draft""in progress""no show""registered"
student_idstring(Student)required

The person registering for the course

substitutionsArray of objects
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

training_location_idstring(Training Location)

The location

training_provider_billing_datestring(Training Provider Billing Date)

The date this registration was billing to the training provider

training_provider_billing_invoice_idstring(Training Provider Billing Invoice)

The invoice that was created to bill for this registration

training_provider_billing_invoice_line_item_idstring(Training Provider Billing Invoice Line Item)

The invoice that was created to bill for this registration

training_provider_billing_namestring(Training Provider Billing Name)

The training provider name (for billing)

training_provider_billing_statusstring(Training Provider Billing Status)

The training provider billing status for this registration

Enum:"billed""billing hold""exempt from billing""not yet billed"
training_provider_idstring(Training Provider)

The training provider

webinar_join_urlstring(Webinar Join Url)

The URL used to join the webinar

webinar_participant_idstring(Webinar Participant)

The external ID of this registration in the linked webinar

]
Response
[ { "application_id": "string", "arrival_date": "2019-08-24T14:15:22Z", "cancellation_date": "2019-08-24T14:15:22Z", "city": "string", "completion_percentage": 0.1, "country": "string", "course_date": "2019-08-24T14:15:22Z", "course_id": "string", "course_offering_id": "string", "custom_field_values": [ … ], "date": "2019-08-24T14:15:22Z", "departure_date": "2019-08-24T14:15:22Z", "email_address": "string", "event_registration_id": "string", "exam_offering_ids": [ … ], "first_name": "string", "id": "string", "job_title": "string", "last_name": "string", "meeting_join_url": "string", "meeting_participant_id": "string", "name": "string", "notes": "string", "number": 0.1, "order_amount_paid": 0.1, "order_balance_due": 0.1, "order_currency_code": "string", "order_currency_symbol": "string", "order_id": "string", "order_line_item_id": "string", "order_number": 0.1, "order_status": "awaiting payment", "order_total": 0.1, "organization_id": "string", "process_id": "string", "state": "string", "status": "attended", "student_id": "string", "substitutions": [ … ], "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "training_location_id": "string", "training_provider_billing_date": "string", "training_provider_billing_invoice_id": "string", "training_provider_billing_invoice_line_item_id": "string", "training_provider_billing_name": "string", "training_provider_billing_status": "billed", "training_provider_id": "string", "webinar_join_url": "string", "webinar_participant_id": "string" } ]